Package ru.bitel.bgbilling.kernel.contract.object.common.bean

# Class ContractObject

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.bgbilling.kernel.contract.object.common.bean.ContractObject

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class ContractObject
    extends AbstractEntity

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `entitySpecId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractObject()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getContractId()` |
  `java.util.Calendar` | `getDateFrom()` |
  `java.util.Calendar` | `getDateTo()` |
  `int` | `getPosition()` |
  `int` | `getTypeId()` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setDateFrom​(java.util.Calendar dateFrom)` |
  `void` | `setDateTo​(java.util.Calendar dateTo)` |
  `void` | `setPosition​(int position)` |
  `void` | `setTypeId​(int typeId)` |

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractObject

    public ContractObject()

- ## Method Details

  - ### getTypeId

    public int getTypeId()

  - ### setTypeId

    public void setTypeId​(int typeId)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getPosition

    public int getPosition()

  - ### setPosition

    public void setPosition​(int position)

  - ### getDateFrom

    public java.util.Calendar getDateFrom()

  - ### setDateFrom

    public void setDateFrom​(java.util.Calendar dateFrom)

  - ### getDateTo

    public java.util.Calendar getDateTo()

  - ### setDateTo

    public void setDateTo​(java.util.Calendar dateTo)